---
title: Xamarin.Android error XA4303
description: XA4303 error code
ms.date: 05/10/2019
---
# Xamarin.Android error XA4303

## Issue

The `ResolveLibraryProjectImports` task encountered a failure
extracting *\_\_AndroidLibraryProjects\_\_.zip* from a referenced
assembly. This *.zip* file contains any Android-related files embedded in
the assembly during the Xamarin.Android build process. This includes
`@(AndroidAsset)`, `@(AndroidResource)`, etc.

XA4303 could be caused by any of the following:

  - A `PathTooLongException` occurred while extracting the *.zip* file.
    Learn more about `MAX_PATH` on Windows [here][max_path].
  - An invalid path was encountered inside the *.zip* file, such as `:` on
    Windows.

## Solution

Consider submitting a [bug][bug] if you are getting this warning under
normal circumstances.

[max_path]: https://docs.microsoft.com/windows/desktop/FileIO/naming-a-file#maximum-path-length-limitation
[bug]: https://github.com/xamarin/xamarin-android/wiki/Submitting-Bugs,-Feature-Requests,-and-Pull-Requests
