---
title: Xamarin.Android error XA4307
description: XA4307 error code
ms.date: 10/03/2019
---
# Xamarin.Android error XA4307

## Issue

The `Proguard` MSBuild task encountered a ProGuard configuration file
that it could not parse. These files are generally declared in your
Xamarin.Android project with a build action of
`ProguardConfiguration`. However, Xamarin.Android also generates
ProGuard configuration files internally during the build process.

To learn more about ProGuard and how it relates to Android
development, see the [Android documentation][android] or the [ProGuard
website][proguard].

## Solution

Verify you are not declaring a `ProguardConfiguration` build item that
contains valid entries. This can also be caused by the config file 
containing a Byte Order Mark (BOM) at the start of the file. If this 
is the case remove the BOM or save the file using ASCII encoding.

Consider submitting a [bug][bug] if you are getting this error under
normal circumstances.

[android]: https://developer.android.com/studio/build/shrink-code
[proguard]: https://www.guardsquare.com/en/products/proguard/manual
[bug]: https://github.com/xamarin/xamarin-android/wiki/Submitting-Bugs,-Feature-Requests,-and-Pull-Requests
